package com.sun.jndi.ldap.spi;

import java.util.ArrayList;
import java.util.List;

public final class LdapDnsProviderResult
{
    private final String domainName;
    private final List<String> endpoints;
    
    public LdapDnsProviderResult(String s, List<String> c) {
        this.domainName = ((s == null) ? "" : s);
        this.endpoints = new ArrayList(c);
    }
    
    public String getDomainName() {
        return this.domainName;
    }
    
    public List<String> getEndpoints() {
        return this.endpoints;
    }
}
